%define major		0
%define libname		%mklibname gpg-error %{major}
%define develname	%mklibname gpg-error -d

Summary:	Library containing common error values for GnuPG components
Name:		libgpg-error
Version:	1.55
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.gnupg.org/
Source0:	https://www.gnupg.org/ftp/gcrypt/libgpg-error/libgpg-error-%{version}.tar.bz2

%description
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future.

%package common
Summary:	Common files for libgpg-error
Group:		System/Libraries
BuildArch:	noarch

%description common
This package contains the common files that are used by the
libgpg-error library.

%package -n %{libname}
Summary:	Library containing common error values for GnuPG components
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Requires:	%{name}-common >= %{version}-%{release}

%description -n %{libname}
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future.

%package -n %{develname}
Summary:	Development related files of %{name}
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gpg-error-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
%{name} is a library that defines common error values for all
GnuPG components.  Among these are GPG, GPGSM, GPGME, GPG-Agent,
libgcrypt, pinentry, SmartCard Daemon and possibly more in the future.

This package contains headers and other necessary files to develop
or compile applications that use %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static \
	   --disable-rpath \
	   --enable-install-gpg-error-config
%make_build

%check
make check

%install
%make_install

%find_lang %{name}

%files common -f %{name}.lang

%files -n %{libname}
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/aclocal/*.m4
%{_libdir}/pkgconfig/gpg-error.pc
%{_libdir}/lib*.so
%{_includedir}/*
%{_datadir}/common-lisp/source/gpg-error
%dir %{_datadir}/libgpg-error
%{_datadir}/libgpg-error/errorref.txt
%{_infodir}/gpgrt.info.*
%{_mandir}/man1/gpg-error-config.*
%{_mandir}/man1/gpgrt-config.*


%changelog
* Mon Jun 09 2025 daviddavid <daviddavid> 1.55-1.mga10
+ Revision: 2190150
- new version: 1.55

* Sun Apr 20 2025 daviddavid <daviddavid> 1.54-1.mga10
+ Revision: 2177296
- new version: 1.54

* Sun Dec 01 2024 daviddavid <daviddavid> 1.51-1.mga10
+ Revision: 2120309
- new version: 1.51

* Thu Jul 04 2024 wally <wally> 1.50-1.mga10
+ Revision: 2079612
- new version 1.50

* Tue May 21 2024 wally <wally> 1.49-1.mga10
+ Revision: 2065782
- new version 1.49

* Fri Apr 05 2024 wally <wally> 1.47-2.mga10
+ Revision: 2054641
- basesystem rebuild for i686

* Thu Apr 20 2023 luigiwalser <luigiwalser> 1.47-1.mga9
+ Revision: 1953673
- 1.47

* Thu Jan 05 2023 luigiwalser <luigiwalser> 1.46-1.mga9
+ Revision: 1930460
- 1.46

* Sat Apr 23 2022 wally <wally> 1.45-1.mga9
+ Revision: 1852944
- new version 1.45

* Sun Apr 03 2022 wally <wally> 1.44-1.mga9
+ Revision: 1842661
- new version 1.44

* Tue Mar 15 2022 umeabot <umeabot> 1.43-2.mga9
+ Revision: 1793691
- Mageia 9 Mass Rebuild

* Fri Nov 12 2021 luigiwalser <luigiwalser> 1.43-1.mga9
+ Revision: 1755985
- 1.43

* Sun Apr 18 2021 daviddavid <daviddavid> 1.42-1.mga9
+ Revision: 1716372
- new version: 1.42

* Wed Dec 30 2020 luigiwalser <luigiwalser> 1.41-1.mga8
+ Revision: 1665908
- 1.41

* Wed Nov 18 2020 luigiwalser <luigiwalser> 1.39-1.mga8
+ Revision: 1647137
- 1.39
- remove upstream patch

* Sat Oct 31 2020 wally <wally> 1.36-4.mga8
+ Revision: 1640876
- fix build with autoconf > 2.69

* Sun Feb 16 2020 umeabot <umeabot> 1.36-3.mga8
+ Revision: 1530196
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Aug 27 2019 daviddavid <daviddavid> 1.36-2.mga8
+ Revision: 1434430
- add upstream patch to fix build with new gawk 5

* Sat Apr 13 2019 daviddavid <daviddavid> 1.36-1.mga7
+ Revision: 1389669
- new version: 1.36

* Sun Feb 03 2019 wally <wally> 1.35-1.mga7
+ Revision: 1362884
- new version 1.35

* Tue Dec 25 2018 wally <wally> 1.33-1.mga7
+ Revision: 1344949
- new version 1.33
- drop multiarch support
- drop old obsoletes

* Sun Aug 26 2018 daviddavid <daviddavid> 1.32-1.mga7
+ Revision: 1254708
- new version: 1.32

* Thu Jun 14 2018 wally <wally> 1.31-1.mga7
+ Revision: 1236904
- new version 1.31

* Sun Apr 22 2018 wally <wally> 1.29-3.mga7
+ Revision: 1221142
- drop unneeded arm build fix patch

* Mon Apr 16 2018 kekepower <kekepower> 1.29-2.mga7
+ Revision: 1219475
- Update to version 1.29
- Rediffed patch

* Tue Apr 10 2018 pterjan <pterjan> 1.28-2.mga7
+ Revision: 1217325
- Fix build on arm

* Sat Apr 07 2018 kekepower <kekepower> 1.28-1.mga7
+ Revision: 1215765
- Update to version 1.28

* Tue Oct 31 2017 mjack <mjack> 1.27-1.mga7
+ Revision: 1175284
- Updated to version 1.27
+ luigiwalser <luigiwalser>
- 1.26

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1.24-1.mga6
+ Revision: 1045494
- 1.24

* Mon May 09 2016 luigiwalser <luigiwalser> 1.22-1.mga6
+ Revision: 1011442
- 1.22

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.21-1.mga6
+ Revision: 917726
- 1.21

* Wed Sep 09 2015 fwang <fwang> 1.20-1.mga6
+ Revision: 874542
- 1.20

* Fri Aug 21 2015 tmb <tmb> 1.19-2.mga6
+ Revision: 867590
- rebuild for new gcc

* Sun Jun 21 2015 luigiwalser <luigiwalser> 1.19-1.mga6
+ Revision: 837316
- fix files list
- 1.19

* Wed Oct 15 2014 umeabot <umeabot> 1.13-3.mga5
+ Revision: 745845
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.13-2.mga5
+ Revision: 681505
- Mageia 5 Mass Rebuild

* Sat Apr 26 2014 luigiwalser <luigiwalser> 1.13-1.mga5
+ Revision: 618303
- 1.13

* Tue Apr 15 2014 akien <akien> 1.12-3.mga5
+ Revision: 615168
- Add Provides on gpg-error-devel for the devel package

* Sat Oct 19 2013 umeabot <umeabot> 1.12-2.mga4
+ Revision: 528835
- Mageia 4 Mass Rebuild

* Fri Jun 28 2013 fwang <fwang> 1.12-1.mga4
+ Revision: 447665
- drop unused patch
- new version 1.12

* Sat Jan 12 2013 umeabot <umeabot> 1.10-3.mga3
+ Revision: 357320
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 15 2011 fwang <fwang> 1.10-2.mga2
+ Revision: 181690
- drop .la files

* Sat Jan 08 2011 blino <blino> 1.10-1.mga1
+ Revision: 484
- remove obsolete stuff
- imported package libgpg-error


* Mon Dec 06 2010 Funda Wang <fwang@mandriva.org> 1.10-1mdv2011.0
+ Revision: 611880
- new version 1.10

* Sun Aug 15 2010 Emmanuel Andry <eandry@mandriva.org> 1.9-1mdv2011.0
+ Revision: 570194
- New version 1.9
- rediff p0
- update files list

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.7-2mdv2010.1
+ Revision: 520864
- rebuilt for 2010.1

* Wed Jan 07 2009 Emmanuel Andry <eandry@mandriva.org> 1.7-1mdv2009.1
+ Revision: 326808
- New version 1.7

* Wed Jun 18 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.6-4mdv2009.0
+ Revision: 224736
- Rebuild because of missing packages

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.6-3mdv2009.0
+ Revision: 222834
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Anssi Hannula <anssi@mandriva.org> 1.6-2mdv2008.1
+ Revision: 150903
- move locale files to new package libgpg-error-common

* Sat Jan 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.6-1mdv2008.1
+ Revision: 149222
- mark gpg-error-config as a multi arch binary
- new license policy
- new devel library policy
- add %%check section
- spec file clean
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Nov 06 2006 Andreas Hasenack <andreas@mandriva.com> 1.4-1mdv2007.0
+ Revision: 77026
- updated to version 1.4
- added lisp files to devel package
- bunzipped patch
- Import libgpg-error

* Mon Jul 24 2006 Emmanuel Andry <eandry@mandriva.org> 1.3-1mdv2007.0
- New release 1.3

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.1-2mdk
- Rebuild

* Thu Aug 25 2005 Abel Cheung <deaddog@mandriva.org> 1.1-1mdk
- New release 1.1

* Fri Mar 11 2005 Stefan van der Eijk <stefan@eijk.nu> 1.0-4mdk
- reupload --> lost during ken crash

* Mon Feb 28 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-3mdk
- drop lib64 patch in favor of total nuking of -L$(libdir) where
  libdir is a standard library search path (multiarch)

* Wed Feb 09 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-2mdk
- lib64/multiarch fixes

* Fri Aug 20 2004 Abel Cheung <deaddog@deaddog.org> 1.0-1mdk
- New version
- Remove P0 (upstream)

* Fri May 21 2004 Abel Cheung <deaddog@deaddog.org> 0.7-2mdk
- Patch0: automake 1.8 compatibility

* Fri May 21 2004 Abel Cheung <deaddog@deaddog.org> 0.7-1mdk
- New version

* Mon Dec 08 2003 Abel Cheung <deaddog@deaddog.org> 0.6-1mdk
- 0.6
- Patch not needed
- Use tar.gz instead and include signature, to prove source legitimacy

